package com.gh.common.provider

import android.content.Context
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.gamecenter.BuildConfig
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IBuildConfigProvider

@Route(path = RouteConsts.provider.buildConfig, name = "BuildConfig暴露服务")
class BuildConfigImpl : IBuildConfigProvider {
    override fun init(context: Context?) {
        // Do nothing
    }

    override fun getApplicationId(): String = BuildConfig.APPLICATION_ID

    override fun getVersionName(): String = BuildConfig.VERSION_NAME

    override fun getExposureVersion(): String = BuildConfig.EXPOSURE_VERSION

    override fun isDebug(): Boolean = BuildConfig.DEBUG

    override fun getApiHost(): String = BuildConfig.API_HOST

    override fun getDevApiHost(): String = BuildConfig.DEV_API_HOST

    override fun getNewApiHost(): String = BuildConfig.NEW_API_HOST

    override fun getNewDevApiHost(): String = BuildConfig.NEW_DEV_API_HOST

    override fun getVApiHost(): String = BuildConfig.VAPI_HOST

    override fun getVDevApiHost(): String = BuildConfig.DEV_VAPI_HOST
}